<mat-card class="note">

  <mat-card-content class='note__container'>
    <p class='note__container-text'>{{ item.text }}</p>
  </mat-card-content>

  <mat-card-actions>
    <mat-checkbox
      class="example-margin"
      (click)='onComplete($event)' [ngModel]='complete' (change)='onChange()'>
      <p class='note__text' *ngIf='complete'>Completed</p>
      <p class='note__text' *ngIf='!complete'>Uncompleted</p>
    </mat-checkbox>
    <button mat-button class='note__btn'>
      <mat-icon
        fontIcon='delete'
        aria-hidden='false'
        aria-label='Delete'
        color='warn' (click)='onDeleteClicked($event)'></mat-icon>
    </button>
  </mat-card-actions>

</mat-card>
